=== modified file 'lib/devscripts/__init__.py'
--- lib/devscripts/__init__.py	2009-09-09 03:27:47 +0000
+++ lib/devscripts/__init__.py	2009-09-24 20:14:10 +0000
@@ -2,3 +2,9 @@
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Scripts that are used in developing Launchpad."""
+
+import os
+
+
+def get_launchpad_root():
+    return os.path.dirname(os.path.dirname(os.path.dirname(__file__)))

=== modified file 'lib/devscripts/sourcecode.py'
--- lib/devscripts/sourcecode.py	2009-09-19 01:11:00 +0000
+++ lib/devscripts/sourcecode.py	2009-09-24 20:14:10 +0000
@@ -22,6 +22,8 @@
 from bzrlib.transport import get_transport
 from bzrlib.workingtree import WorkingTree
 
+from devscripts import get_launchpad_root
+
 
 def parse_config_file(file_handle):
     """Parse the source code config file 'file_handle'.
@@ -169,10 +171,6 @@
     remove_branches(sourcecode_directory, removed)
 
 
-def get_launchpad_root():
-    return os.path.dirname(os.path.dirname(os.path.dirname(__file__)))
-
-
 # XXX: JonathanLange 2009-09-11: By default, the script will operate on the
 # current checkout. Most people only have symlinks to sourcecode in their
 # checkouts. This is fine for updating, but breaks for removing (you can't

=== modified file 'lib/devscripts/tests/test_sourcecode.py'
--- lib/devscripts/tests/test_sourcecode.py	2009-09-11 07:02:38 +0000
+++ lib/devscripts/tests/test_sourcecode.py	2009-09-24 20:14:10 +0000
@@ -15,9 +15,9 @@
 from bzrlib.tests import TestCase
 from bzrlib.transport import get_transport
 
+from devscripts import get_launchpad_root
 from devscripts.sourcecode import (
-    find_branches, get_launchpad_root, interpret_config, parse_config_file,
-    plan_update)
+    find_branches, interpret_config, parse_config_file, plan_update)
 
 
 class TestParseConfigFile(unittest.TestCase):

